using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_YongHu_HuiYuan_SheZhiXinZhang : System.Web.UI.Page
{
    private 访问 访问;
    public new int ID;
    public String 昵称;
    public int 当前页;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("设置会员勋章", "网站后台", "设置会员勋章", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void ZhiXing()
    {
        访问.验证管理员();
        ID = Convert.ToInt32(Request.QueryString["ID"]);
        当前页 = Convert.ToInt32(Request.QueryString["page"]);

        String 昵称;

        SqlCommand 语句 = new SqlCommand("SELECT [昵称] FROM [" + 程序.数据表前缀 + "社区_用户_用户] WHERE [ID]=" + ID, 访问.连接);
        SqlDataReader 读取 = 语句.ExecuteReader();
        if (读取.Read())
        {
            昵称 = Convert.ToString(读取["昵称"]);
            读取.Close();
        }
        else
        {
            读取.Close();
            throw new Exception("该用户不存在");
        }

        NiChen.Text = 昵称;

        DataSet 数据 = new DataSet();
        语句 = new SqlCommand("SELECT [勋章名称],[勋章图标] FROM [" + 程序.数据表前缀 + "社区_勋章]", 访问.连接);
        SqlDataAdapter 填充 = new SqlDataAdapter(语句);
        填充.Fill(数据, "勋章");

        for (int i = 0; i < 数据.Tables[0].Rows.Count; i++)
        {
            DataRow 行 = 数据.Tables[0].Rows[i];
            XinZhang.Items.Add(new ListItem(行["勋章名称"].ToString(), 行["勋章图标"].ToString()));
        }

        if (this.IsPostBack)
            设置勋章();
    }
    private void 设置勋章()
    {
        访问.验证权限("24");
        String 勋章图片 = XinZhang.SelectedValue;
        bool 是否系统消息提醒 = XiaoXiTiXing_T.Checked;
        String 消息内容 = XiaoXiNeiRong.Text;
        String 勋章 = XinZhang.SelectedItem.Text;

        用户 用户 = new 用户(this.Context, 访问.连接);
        用户.设置勋章(ID, 勋章图片);

        if (是否系统消息提醒)
            new 消息(this.Context, 访问.连接).发送系统消息(ID, 消息内容.Replace("$勋章名称$", 勋章));

        访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        管理记录.记录("将勋章[" + 勋章 + "]设置到用户[" + 访问.用户["昵称"].ToString() + "]", 访问.用户["昵称"].ToString());

        Response.Redirect("HuiYuan.aspx?page="+当前页);
    }
}
